#/bin/sh
# asustor as5304t start-stop script (invoked by ON|OFF slider in ADM WebUI)

APP_PATH=/usr/local/AppCentral/gnupg

case $1 in

        start)
                echo "Starting gnupg..."
                ln -s /usr/local/bin/gpg-agent /usr/bin/gpg-agent
                ln -s /usr/local/bin/pinentry  /usr/bin/pinentry
                ln -s /usr/local/bin/dirmngr   /usr/bin/dirmngr
;;

        stop)
                echo "Stopping gnupg..."
                rm /usr/bin/gpg-agent
                rm /usr/bin/pinentry
                rm /usr/bin/dirmngr
                ;;

        *)
                echo "usage: $0 {start|stop}"
                exit 1
                ;;

esac
exit 0
